CREATE TABLE numero_estudantes_aee as
select
	matricula.ano_censo,
	CAST( matricula.cod_aluno as varchar(64) ) as id_aluno,
	matricula.regiao_id,
	matricula.estado_id,
	matricula.municipio_id,
	matricula.escola_id,
	matricula.localizacao_id,
	matricula.localizacao_diferenciada_par,
	matricula.cor_raca_id,
	matricula.dependencia_adm_priv,
	matricula.faixa_etaria_31_03,
	matricula.sexo,
	matricula.aee_libras,
	matricula.aee_lingua_portuguesa,
	matricula.aee_informatica,
	matricula.aee_braille,
	matricula.aee_caa,
	matricula.aee_soroban,
	matricula.aee_vida_autonoma,
	matricula.aee_opticos,
	matricula.aee_enriq_curricular,
	matricula.aee_desen_congnitivo,
	matricula.aee_mobilidade,
	matricula.dias_atividade,
	turma.disc_atendimento_especiais,
	turma.braile,
	turma.rec_baixa_visao,
	turma.processos_mentais,
	turma.orientacao_mobilidade,
	turma.sinais,
	turma.com_alt_aument,
	turma.enriq_curricular,
	turma.soroban,
	turma.informatica_acessivel,
	turma.port_esc,
	turma.aut_escolar,
	turma.dia_sem_dom,
    turma.dia_sem_seg,
    turma.dia_sem_ter,
    turma.dia_sem_qua,
    turma.dia_sem_qui,
    turma.dia_sem_sex,
	turma.dia_sem_sab
from
	matricula
join
	turma on 
		turma.ano_censo = matricula.ano_censo and
		turma.id = matricula.turma_id
where
	(matricula.ano_censo <= 2017 and matricula.tipo = 5) 

union all

select
	matricula.ano_censo,
	matricula.id_aluno as id_aluno,
	matricula.regiao_id,
	matricula.estado_id,
	matricula.municipio_id,
	matricula.escola_id,
	matricula.localizacao_id,
	matricula.localizacao_diferenciada_par,
	matricula.cor_raca_id,
	matricula.dependencia_adm_priv,
	matricula.faixa_etaria_31_03,
	matricula.sexo,
	matricula.aee_libras,
	matricula.aee_lingua_portuguesa,
	matricula.aee_informatica,
	matricula.aee_braille,
	matricula.aee_caa,
	matricula.aee_soroban,
	matricula.aee_vida_autonoma,
	matricula.aee_opticos,
	matricula.aee_enriq_curricular,
	matricula.aee_desen_congnitivo,
	matricula.aee_mobilidade,
	matricula.dias_atividade,
	turma.disc_atendimento_especiais,
	turma.braile,
	turma.rec_baixa_visao,
	turma.processos_mentais,
	turma.orientacao_mobilidade,
	turma.sinais,
	turma.com_alt_aument,
	turma.enriq_curricular,
	turma.soroban,
	turma.informatica_acessivel,
	turma.port_esc,
	turma.aut_escolar,
    turma.dia_sem_dom,
    turma.dia_sem_seg,
    turma.dia_sem_ter,
    turma.dia_sem_qua,
    turma.dia_sem_qui,
    turma.dia_sem_sex,
	turma.dia_sem_sab
from
	matricula
join
	turma on 
		turma.ano_censo = matricula.ano_censo and
		turma.id = matricula.turma_id
where
	(matricula.ano_censo = 2018 and matricula.tipo = 5) or
	(matricula.ano_censo >= 2019 and matricula.tipo_atendimento_turma = 4);
;

